Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class PointOfInteraction1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.PointOfInteraction1

    public class PointOfInteraction1
    extends java.lang.Object

Java class for PointOfInteraction1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteraction1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}GenericIdentification32"/>
             <element name="SysNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max70Text" minOccurs="0"/>
             <element name="GrpId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="Cpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PointOfInteractionCapabilities1" minOccurs="0"/>
             <element name="Cmpnt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}PointOfInteractionComponent1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<PointOfInteractionComponent1>` `cmpnt`
`protected PointOfInteractionCapabilities1` `cpblties`
`protected java.lang.String` `grpId`
`protected GenericIdentification32` `id`
`protected java.lang.String` `sysNm`

### Constructor Summary

Constructors
`PointOfInteraction1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<PointOfInteractionComponent1>` `getCmpnt()` Gets the value of the cmpnt property.
`PointOfInteractionCapabilities1` `getCpblties()` Gets the value of the cpblties property.
`java.lang.String` `getGrpId()` Gets the value of the grpId property.
`GenericIdentification32` `getId()` Gets the value of the id property.
`java.lang.String` `getSysNm()` Gets the value of the sysNm property.
`void` `setCpblties​(PointOfInteractionCapabilities1 value)` Sets the value of the cpblties property.
`void` `setGrpId​(java.lang.String value)` Sets the value of the grpId property.
`void` `setId​(GenericIdentification32 value)` Sets the value of the id property.
`void` `setSysNm​(java.lang.String value)` Sets the value of the sysNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected GenericIdentification32 id

#### sysNm

    protected java.lang.String sysNm

#### grpId

    protected java.lang.String grpId

#### cpblties

    protected PointOfInteractionCapabilities1 cpblties

#### cmpnt

    protected java.util.List<PointOfInteractionComponent1> cmpnt

### Constructor Detail

#### PointOfInteraction1

    public PointOfInteraction1()

### Method Detail

#### getId

    public GenericIdentification32 getId()

Gets the value of the id property.

Returns:
  possible object is `GenericIdentification32`

#### setId

    public void setId​(GenericIdentification32 value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `GenericIdentification32`

#### getSysNm

    public java.lang.String getSysNm()

Gets the value of the sysNm property.

Returns:
  possible object is `String`

#### setSysNm

    public void setSysNm​(java.lang.String value)

Sets the value of the sysNm property.

Parameters:
  `value` - allowed object is `String`

#### getGrpId

    public java.lang.String getGrpId()

Gets the value of the grpId property.

Returns:
  possible object is `String`

#### setGrpId

    public void setGrpId​(java.lang.String value)

Sets the value of the grpId property.

Parameters:
  `value` - allowed object is `String`

#### getCpblties

    public PointOfInteractionCapabilities1 getCpblties()

Gets the value of the cpblties property.

Returns:
  possible object is `PointOfInteractionCapabilities1`

#### setCpblties

    public void setCpblties​(PointOfInteractionCapabilities1 value)

Sets the value of the cpblties property.

Parameters:
  `value` - allowed object is `PointOfInteractionCapabilities1`

#### getCmpnt

    public java.util.List<PointOfInteractionComponent1> getCmpnt()

Gets the value of the cmpnt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cmpnt property.

For example, to add a new item, do as follows:

        getCmpnt().add(newItem);

Objects of the following type(s) are allowed in the list `PointOfInteractionComponent1`